import request from '@/utils/request'

// 查询ip黑名单列表
export function listIpBlack(query) {
  return request({
    url: '/cai/ipBlack/list',
    method: 'get',
    params: query
  })
}

// 查询ip黑名单详细
export function getIpBlack(id) {
  return request({
    url: '/cai/ipBlack/' + id,
    method: 'get'
  })
}

// 新增ip黑名单
export function addIpBlack(data) {
  return request({
    url: '/cai/ipBlack',
    method: 'post',
    data: data
  })
}

// 修改ip黑名单
export function updateIpBlack(data) {
  return request({
    url: '/cai/ipBlack',
    method: 'put',
    data: data
  })
}

// 删除ip黑名单
export function delIpBlack(id) {
  return request({
    url: '/cai/ipBlack/' + id,
    method: 'delete'
  })
}
